Index: /code/branches/cpp11_v2/src/libraries/network/packet/DeleteObjects.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/packet/DeleteObjects.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/network/packet/DeleteObjects.h	(revision 10817)
@@ -48,6 +48,6 @@
   bool fetchIDs();
 
-  inline unsigned int getSize() const;
-  virtual bool process(orxonox::Host* host);
+  inline unsigned int getSize() const override;
+  virtual bool process(orxonox::Host* host) override;
 
 private:
Index: /code/branches/cpp11_v2/src/libraries/network/packet/FunctionCalls.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/packet/FunctionCalls.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/network/packet/FunctionCalls.h	(revision 10817)
@@ -52,10 +52,10 @@
   ~FunctionCalls();
 
-  inline unsigned int getSize() const
+  inline unsigned int getSize() const override
     { assert(!this->isDataENetAllocated()); return currentSize_; }
-  virtual bool process(orxonox::Host* host);
+  virtual bool process(orxonox::Host* host) override;
 
   void addCall( uint32_t networkID, uint32_t objectID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3, const MultiType& mt4, const MultiType& mt5);
-  virtual bool send(orxonox::Host* host);
+  virtual bool send(orxonox::Host* host) override;
 private:
   std::queue<orxonox::FunctionCall> functionCalls_;
Index: /code/branches/cpp11_v2/src/libraries/network/packet/FunctionIDs.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/packet/FunctionIDs.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/network/packet/FunctionIDs.h	(revision 10817)
@@ -47,6 +47,6 @@
   ~FunctionIDs();
 
-  virtual uint32_t getSize() const;
-  virtual bool process(orxonox::Host* host);
+  virtual uint32_t getSize() const override;
+  virtual bool process(orxonox::Host* host) override;
 
 private:
Index: /code/branches/cpp11_v2/src/libraries/network/packet/Gamestate.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/packet/Gamestate.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/network/packet/Gamestate.h	(revision 10817)
@@ -138,6 +138,6 @@
 //     void rawDiff( uint8_t* newdata, uint8_t* data, uint8_t* basedata, uint32_t datalength, uint32_t baselength);
 //     inline uint32_t findObject( const SynchronisableHeader& header, uint8_t* mem, uint32_t dataLength, uint32_t startPosition = 0 );
-    virtual uint32_t getSize() const;
-    virtual bool process(orxonox::Host* host);
+    virtual uint32_t getSize() const override;
+    virtual bool process(orxonox::Host* host) override;
     uint32_t calcGamestateSize(uint32_t id, uint8_t mode=0x0);
 //     inline void diffObject( uint8_t*& newData, uint8_t*& origData, uint8_t*& baseData, SynchronisableHeader& objectHeader, std::vector<uint32_t>::iterator& sizes );
Index: /code/branches/cpp11_v2/src/libraries/network/packet/Welcome.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/packet/Welcome.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/network/packet/Welcome.h	(revision 10817)
@@ -45,7 +45,7 @@
   virtual ~Welcome();
 
-  uint8_t *getData();
-  inline unsigned int getSize() const;
-  virtual bool process(orxonox::Host* host);
+  uint8_t *getData() override;
+  inline unsigned int getSize() const override;
+  virtual bool process(orxonox::Host* host) override;
 
 private:
Index: /code/branches/cpp11_v2/src/libraries/network/synchronisable/NetworkCallback.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/synchronisable/NetworkCallback.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/network/synchronisable/NetworkCallback.h	(revision 10817)
@@ -53,5 +53,5 @@
       NetworkCallback(T* object, void (T::*function) (void)) : object_(object), function_(function) {}
       virtual ~NetworkCallback() {}
-      virtual void call()
+      virtual void call() override
         { (this->object_->*function_)(); }
 
@@ -68,5 +68,5 @@
       NetworkCallbackNotify() {}
       virtual ~NetworkCallbackNotify() {}
-      virtual void call()
+      virtual void call() override
         { (this->object_->*function_)( this->oldValue_ ); }
       void setOldValue(const U& value){ this->oldValue_ = value; }
Index: /code/branches/cpp11_v2/src/libraries/network/synchronisable/SynchronisableVariable.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/synchronisable/SynchronisableVariable.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/network/synchronisable/SynchronisableVariable.h	(revision 10817)
@@ -74,9 +74,9 @@
       virtual ~SynchronisableVariable();
 
-      virtual inline uint8_t getMode(){ return mode_; }
-      virtual inline uint32_t getData(uint8_t*& mem, uint8_t mode);
-      virtual inline void putData(uint8_t*& mem, uint8_t mode, bool forceCallback = false);
-      virtual inline uint32_t getSize(uint8_t mode);
-      virtual inline void* getReference(){ return static_cast<void*>(const_cast<typename Loki::TypeTraits<T>::UnqualifiedType*>(&this->variable_)); }
+      virtual inline uint8_t getMode() override{ return mode_; }
+      virtual inline uint32_t getData(uint8_t*& mem, uint8_t mode) override;
+      virtual inline void putData(uint8_t*& mem, uint8_t mode, bool forceCallback = false) override;
+      virtual inline uint32_t getSize(uint8_t mode) override;
+      virtual inline void* getReference() override{ return static_cast<void*>(const_cast<typename Loki::TypeTraits<T>::UnqualifiedType*>(&this->variable_)); }
     protected:
       T&                       variable_;
Index: /code/branches/cpp11_v2/src/libraries/tools/BulletDebugDrawer.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/tools/BulletDebugDrawer.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/tools/BulletDebugDrawer.h	(revision 10817)
@@ -23,27 +23,27 @@
             BulletDebugDrawer(Ogre::SceneManager* sceneManager);
             ~BulletDebugDrawer();
-            virtual void drawLine(const btVector3& from, const btVector3& to, const btVector3& color);
+            virtual void drawLine(const btVector3& from, const btVector3& to, const btVector3& color) override;
 //            virtual void drawTriangle(const btVector3& v0, const btVector3& v1, const btVector3& v2, const btVector3& color, btScalar);
-            virtual void drawSphere (const btVector3& p, btScalar radius, const btVector3& color);
-            virtual void drawSphere(btScalar radius, const btTransform& transform, const btVector3& color);
-            virtual void drawBox(const btVector3& bbMin, const btVector3& bbMax, const btVector3& color);
-            virtual void drawBox(const btVector3& bbMin, const btVector3& bbMax, const btTransform& trans, const btVector3& color);
-            virtual void drawCylinder(btScalar radius, btScalar halfHeight, int upAxis, const btTransform& transform, const btVector3& color);
-            virtual void drawCone(btScalar radius, btScalar height, int upAxis, const btTransform& transform, const btVector3& color);
+            virtual void drawSphere (const btVector3& p, btScalar radius, const btVector3& color) override;
+            virtual void drawSphere(btScalar radius, const btTransform& transform, const btVector3& color) override;
+            virtual void drawBox(const btVector3& bbMin, const btVector3& bbMax, const btVector3& color) override;
+            virtual void drawBox(const btVector3& bbMin, const btVector3& bbMax, const btTransform& trans, const btVector3& color) override;
+            virtual void drawCylinder(btScalar radius, btScalar halfHeight, int upAxis, const btTransform& transform, const btVector3& color) override;
+            virtual void drawCone(btScalar radius, btScalar height, int upAxis, const btTransform& transform, const btVector3& color) override;
 //            virtual void drawPlane(const btVector3& planeNormal, btScalar planeConst, const btTransform& transform, const btVector3& color);
 
-            virtual void drawContactPoint(const btVector3& PointOnB, const btVector3& normalOnB, btScalar distance, int lifeTime, const btVector3& color);
+            virtual void drawContactPoint(const btVector3& PointOnB, const btVector3& normalOnB, btScalar distance, int lifeTime, const btVector3& color) override;
 
-            virtual void reportErrorWarning(const char* warningString);
-            virtual void draw3dText(const btVector3& location, const char* textString);
+            virtual void reportErrorWarning(const char* warningString) override;
+            virtual void draw3dText(const btVector3& location, const char* textString) override;
 
-            virtual void setDebugMode(int debugMode);
-            virtual int getDebugMode() const;
+            virtual void setDebugMode(int debugMode) override;
+            virtual int getDebugMode() const override;
 
             void configure(bool bFill, float fillAlpha);
 
         protected:
-            bool frameStarted(const Ogre::FrameEvent& evt);
-            bool frameEnded(const Ogre::FrameEvent& evt);
+            bool frameStarted(const Ogre::FrameEvent& evt) override;
+            bool frameEnded(const Ogre::FrameEvent& evt) override;
 
         private:
Index: /code/branches/cpp11_v2/src/libraries/tools/DynamicLines.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/tools/DynamicLines.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/tools/DynamicLines.h	(revision 10817)
@@ -84,7 +84,7 @@
     protected:
         /// Implementation DynamicRenderable, creates a simple vertex-only decl
-        virtual void createVertexDeclaration();
+        virtual void createVertexDeclaration() override;
         /// Implementation DynamicRenderable, pushes point list out to hardware memory
-        virtual void fillHardwareBuffers();
+        virtual void fillHardwareBuffers() override;
 
     private:
Index: /code/branches/cpp11_v2/src/libraries/tools/DynamicRenderable.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/tools/DynamicRenderable.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/tools/DynamicRenderable.h	(revision 10817)
@@ -61,7 +61,7 @@
 
         /// Implementation of SimpleRenderable
-        virtual Real getBoundingRadius(void) const;
+        virtual Real getBoundingRadius(void) const override;
         /// Implementation of SimpleRenderable
-        virtual Real getSquaredViewDepth(const Camera* cam) const;
+        virtual Real getSquaredViewDepth(const Camera* cam) const override;
 
     protected:
Index: /code/branches/cpp11_v2/src/libraries/tools/ParticleInterface.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/tools/ParticleInterface.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/tools/ParticleInterface.h	(revision 10817)
@@ -76,5 +76,5 @@
 
         protected:
-            virtual void changedTimeFactor(float factor_new, float factor_old);
+            virtual void changedTimeFactor(float factor_new, float factor_old) override;
 
         private:
Index: /code/branches/cpp11_v2/src/libraries/tools/ResourceCollection.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/tools/ResourceCollection.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/tools/ResourceCollection.h	(revision 10817)
@@ -44,5 +44,5 @@
         virtual ~ResourceCollection();
 
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
         void setResourceGroup(const std::string& resourceGroup);
Index: /code/branches/cpp11_v2/src/libraries/tools/ResourceLocation.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/tools/ResourceLocation.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/tools/ResourceLocation.h	(revision 10817)
@@ -46,5 +46,5 @@
         virtual ~ResourceLocation();
 
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
         void setPath(const std::string& path) { path_ = path; }
Index: /code/branches/cpp11_v2/src/libraries/tools/Shader.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/tools/Shader.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/tools/Shader.h	(revision 10817)
@@ -87,10 +87,10 @@
                 { return this->scenemanager_; }
 
-            virtual void cameraChanged(Ogre::Viewport* viewport, Ogre::Camera* oldCamera);
+            virtual void cameraChanged(Ogre::Viewport* viewport, Ogre::Camera* oldCamera) override;
 
             void setParameter(unsigned short technique, unsigned short pass, const std::string& parameter, float value);
             void setParameter(unsigned short technique, unsigned short pass, const std::string& parameter, int value);
 
-            virtual void notifyMaterialRender(Ogre::uint32 pass_id, Ogre::MaterialPtr& materialPtr);
+            virtual void notifyMaterialRender(Ogre::uint32 pass_id, Ogre::MaterialPtr& materialPtr) override;
 
         private:
Index: /code/branches/cpp11_v2/src/libraries/tools/Timer.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/tools/Timer.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/tools/Timer.h	(revision 10817)
@@ -175,5 +175,5 @@
 
         protected:
-            virtual float getTimeFactor();
+            virtual float getTimeFactor() override;
     };
 }
Index: /code/branches/cpp11_v2/src/libraries/util/ExprParser.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/ExprParser.cc	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/util/ExprParser.cc	(revision 10817)
@@ -402,5 +402,5 @@
             {
                 this->failed_ = true;
-                return '\0';
+                return str;
             }
         };
Index: /code/branches/cpp11_v2/src/libraries/util/MultiType.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/MultiType.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/util/MultiType.h	(revision 10817)
@@ -428,5 +428,5 @@
             }
             /// Creates a new value container (works only with specialized types).
-            template <typename T> inline void createNewValueContainer(const T& value) { /* STATIC ASSERT */ *****value; return false; }
+            template <typename T> inline void createNewValueContainer(const T& value) { /* STATIC ASSERT */ *****value; }
 
             MT_ValueBase* value_; //!< A pointer to the value container
